stringprep_unichar_to_utf8(3)

NAME
stringprep_unichar_to_utf8 - convert Unicode code point to UTF-8

SYNOPSIS
#include <stringprep.h>

int stringprep_unichar_to_utf8(uint32_t c, char * outbuf);

ARGUMENTS

uint32_t c
    a ISO10646 character code

char * outbuf
    output buffer, must have at least 6 bytes of space. If NULL, the length will be computed and returned and nothing will be written to outbuf.

DESCRIPTION
Converts a single character to UTF-8.

RETURN VALUE
number of bytes written.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.